> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update linked shape

> Accept a newer library version of a linked Shape.

**Operation ID:** `http.shapes.links.update`

```http theme={null}
POST /v1/orgs/{org}/projects/{project}/shapes/links/{shape}/update
```


## OpenAPI

````yaml openapi.json POST /v1/orgs/{org}/projects/{project}/shapes/links/{shape}/update
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/shapes/links/{shape}/update:
    post:
      tags:
        - Shapes
      summary: Update linked shape
      description: |-
        Accept a newer library version of a linked Shape.

        Product guidance: [Shape](/concepts/shape).
      operationId: http.shapes.links.update
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: shape
          in: path
          required: true
          schema:
            type: string
        - name: Idempotency-Key
          in: header
          required: true
          description: >-
            1–200 printable ASCII characters, no surrounding spaces; '.' and
            '..' are reserved. Reuse this key with the same request when
            retrying an uncertain outcome.
          schema:
            type: string
            minLength: 1
            maxLength: 200
            pattern: ^(?!\.{1,2}$)[!-~](?:[ -~]*[!-~])?$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/http_shapes_links_update_request'
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_shapes_links_update_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_shapes_links_update_request:
      type: object
      properties:
        artifact_digest:
          type: string
          pattern: ^sha256:[0-9a-f]{64}$
        expected_artifact_digest:
          type: string
          pattern: ^sha256:[0-9a-f]{64}$
        expected_link_revision:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - artifact_digest
        - expected_artifact_digest
        - expected_link_revision
      additionalProperties: false
    http_shapes_links_update_response:
      type: object
      properties:
        request_id:
          type: string
        outcome:
          type: string
          const: applied
        replayed:
          type: boolean
        data:
          type: object
          properties:
            project_id:
              type: string
            shape_id:
              type: string
            publisher_id:
              type: string
            revision_id:
              type: string
            artifact_digest:
              type: string
            generation:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            status:
              type: string
              enum:
                - active
                - removed
            link_revision:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            linked_at:
              type: string
            removed_at:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - project_id
            - shape_id
            - publisher_id
            - revision_id
            - artifact_digest
            - generation
            - status
            - link_revision
            - linked_at
            - removed_at
          additionalProperties: {}
      required:
        - request_id
        - outcome
        - replayed
        - data
      additionalProperties: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.